Title1  'BES04C.sas   1996-7-5   Y.Takahashi  ' ;
Title2  '<<< Chow & Liu(1992)  Table 9.3.3 >>> ' ;

options  ps=70  ls=105 ;

data  D1 ;
   input  SQN $  SBJ @ ;
   do  EXP = 1 to  3 ;
     input  DRUG $  CARRY $   Y @ ;
     YL = log10(Y) ;
     output ;
   end ;
   cards ;
1:TRR   2   T  CX  32.14   R  CT  42.55   R  CR  36.08
1:TRR   5   T  CX  51.85   R  CT  47.37   R  CR  56.50
1:TRR   6   T  CX  34.28   R  CT  30.70   R  CR  33.60
1:TRR   8   T  CX  27.48   R  CT  27.87   R  CR  33.54
1:TRR  10   T  CX  17.32   R  CT  18.93   R  CR  19.05
1:TRR  11   T  CX  31.61   R  CT  24.93   R  CR  28.21
1:TRR  13   T  CX  39.26   R  CT  37.36   R  CR  45.09
1:TRR  17   T  CX  47.55   R  CT  40.00   R  CR  36.00
1:TRR  18   T  CX  36.15   R  CT  35.20   R  CR  33.26

2:RTT   1   R  CX  26.79   T  CR  27.23   T  CT  31.60
2:RTT   3   R  CX  26.71   T  CR  30.81   T  CT  26.39
2:RTT   4   R  CX  28.70   T  CR  40.74   T  CT  30.49
2:RTT   7   R  CX  35.01   T  CR  45.85   T  CT  43.86
2:RTT   9   R  CX  30.98   T  CR  34.57   T  CT  30.18
2:RTT  12   R  CX  57.70   T  CR  54.39   T  CT  44.35
2:RTT  14   R  CX  27.87   T  CR  30.02   T  CT  27.00
2:RTT  15   R  CX  31.03   T  CR  25.77   T  CT  29.65
2:RTT  16   R  CX  27.67   T  CR  21.61   T  CT  25.64
  ;

proc  print  data=d1 ;
    where  SBJ = 2  or  SBJ = 16 ;

proc  mixed  data=d1  order=data ;
    class        SQN  EXP  DRUG  CARRY SBJ ;
    model   YL = SQN       DRUG  CARRY  / ddfm=satterth ;
    random       SBJ ;
    lsmeans      SQN  CARRY  / cl  alpha=0.10;
    lsmeans      DRUG        / cl  alpha=0.10  diff ;

run  ;
