Title  'P1_t2_3.sas   2001-3-23    Y.Takahahsi' ;

data  DD.pulse ;
    input   EXP $  PNL $  DOSE $  ID $ @ ;

    do  TIME = 'T0', 'T2', 'T8' ;
      input  Y @ ;
      if PNL='PNL2' then Y2= Y+5 ; else Y2=Y ;
      if  TIME = 'T0' then X=Y ;
      output ;
    end ;
    cards ;
EXP1  PNL1  .0mg   ID-1   65  66  74
EXP1  PNL1  .0mg   ID-2   62  60  69
EXP1  PNL1  .5mg   ID-3   61  64  67
EXP1  PNL1  .5mg   ID-4   64  67  75

EXP2  PNL2  .0mg   ID-5   60  59  68
EXP2  PNL2  .0mg   ID-6   64  62  75
EXP2  PNL2  10mg   ID-7   65  78  82
EXP2  PNL2  10mg   ID-8   58  69  74
 ;

proc  print  data=DD.pulse ;
run ;

proc  means  data=DD.pulse ;
    where  TIME='T2' ;
    var    Y  Y2 ;
    class  DOSE  ;
run ;

proc  mixed  info  data=DD.pulse ;
    where  TIME='T2' ;
    class        PNL  DOSE  ;
    model   Y2 = PNL  DOSE  ;
    lsmeans      DOSE /   diff ;
run ;
